## ros-melodic-fetchit-challenge 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(fetchit_challenge)

find_package(catkin REQUIRED genmsg actionlib_msgs actionlib)
add_action_files(DIRECTORY action FILES SchunkMachine.action)
add_action_files(DIRECTORY action FILES SickCamera.action)
generate_messages(DEPENDENCIES actionlib_msgs)
catkin_package()

#############
## Install ##
#############

install(
  PROGRAMS
    scripts/spawn_assembly_delayed.sh
    scripts/spawn_assembly_delayed_simple.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY config launch models urdf worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-fetchit-challenge (0.9.2-1stretch) stretch; urgency=high

  * Merge pull request #93 <https://github.com/fetchrobotics/fetch_gazebo/issues/93> from fetchrobotics/sick
    Adds sick camera interface
  * Corrected Inertias to solve standing bolts (#92 <https://github.com/fetchrobotics/fetch_gazebo/issues/92>)
  * [Schunk Machine] Updates appearance and behaviour (#89 <https://github.com/fetchrobotics/fetch_gazebo/issues/89>)
    - Added new Shunk with updated appearance
    - Actuated chuck and action for open and close and start operation and end operation
    - Decoupled shunk controllers from action
    NOTE: this breaks previous behaviour because there is a new action to start and end operation.
  * Merge pull request #88 <https://github.com/fetchrobotics/fetch_gazebo/issues/88> from ben-fido/gazebo9
    Fix TF bug, spawn Schunk Machine in separate namespace
  * Missing utility cart (#85 <https://github.com/fetchrobotics/fetch_gazebo/issues/85>)
    - Updated New Coloured cart support due to faulty merge
    - Added 3 carts in the table
  * Added blue and grey parts (#79 <https://github.com/fetchrobotics/fetch_gazebo/issues/79>)
  * Update tables walls and tables (#78 <https://github.com/fetchrobotics/fetch_gazebo/issues/78>)
    - Added Arena for Fetch Remote Lab and Montreal 2019 with updated walls and dimensions
    - Added new Tables and positions in the updated arrangement
    - Added further changes to have a more intense light scenario
  * Additional kits gazebo world (#76 <https://github.com/fetchrobotics/fetch_gazebo/issues/76>)
    - Added colour caddy
    - Fixed error of naming old model
  * Schunk Machine interface. (#72 <https://github.com/fetchrobotics/fetch_gazebo/issues/72>)
  * Contributors: Alex Moriarty, Niharika Arora, Miguel Angel Rodríguez, Sarah Elliott, Benjamin Jarvhi

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetchit-challenge (0.9.1-1stretch) stretch; urgency=high

  * Cleanup dependencies (#68 <https://github.com/fetchrobotics/fetch_gazebo/issues/68>)
  * cmake_minimum_required(VERSION 3.7.2) & C++14 (#67)
    
    Bump the minimum CMake version, to fix a CMake warning.
    
    Remove explicit CMAKE_CXX_FLAGS c++0x because the default is now C++14
  * [FetchIt!] Tapered large gear (#63 <https://github.com/fetchrobotics/fetch_gazebo/issues/63>)
  * Contributors: Alex Moriarty, Sarah Elliott, Miguel Angel Rodríguez

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetchit-challenge (0.9.0-1stretch) stretch; urgency=high

  * [FetchIt!] Don't find_package an exec_depend
  * [package.xml] sync versions to 0.8.0
  * [fetchit] catkin depends and installation (#58)
    
    The models, scripts and launch files were not installed. Fixes #57
  * [FetchIt!] fix the stl collision scales (#60)
    
    Added rescaled stls with corrected origins that generated issue that seems they were no collisions but in fact they were decentered and huge.
    This fixes #56
  * [FetchIt!] Model updates for new largeGear (#51)
    
    [FetchIt!] STL updates for new largeGear
    
    This fixes #50 in part, the stl files
    
    These changes correspond to fetchrobotics/fetchit#2
    
    Added updated dae versions with rescaling to correct dimensions and same colours as previous versions
  * [package.xml] adds: license(BSD), author, maintainers (#45)
    
    [package.xml] update maintainers
    
    [fetchit_challenge] adds license(BSD), author, maintainers
    
    [fetchit_challenge] add <url> tags to package.xml
  * Merge pull request #38 from RDaneelOlivav/gazebo9
    
    Invisible table and gear Fix, creation of simpler simulation environment, creation of different lighting conditions launches
  * Added fetchit Challenge package files
  * Contributors: Alexander Moriarty, Miguel Angel Rodríguez

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Thu, 28 Mar 2019 07:00:00 -0000

ros-melodic-fetchit-challenge (0.8.0-1stretch) stretch; urgency=high

  * fetchit_challenge was newly added after 0.8.0

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Tue, 27 Dec 2016 08:00:00 -0000

=== debian/control ===
Source: ros-melodic-fetchit-challenge
Section: misc
Priority: extra
Maintainer: RDaneelOlivaw <duckfrost@theconstructsim.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin
Homepage: https://opensource.fetchrobotics.com/competition
Standards-Version: 3.9.2

Package: ros-melodic-fetchit-challenge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-controller-manager, ros-melodic-effort-controllers, ros-melodic-fetch-gazebo, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-robot-state-publisher, ros-melodic-rospy
Description: The fetchit_challenge package
